# Akamai\Open\EdgeGrid\Authentication\Timestamp::setValidFor

#### Set how long the current timestamp is considered valid

## Signature

`public function setValidFor(string $interval )`

## Parameters

`$interval` — string
  A \DateInterval time spec

## Returns

$this

## Test Coverage

### Information

- Coverage: 2/2 Lines (100%)
- Tests: 2
- Passed: 2 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\Authentication\TimestampTest::testIsValid
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::testTimestampTimeout